summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson2023-01-22 11:25:56 +0100
committer Willy Sudiarto Raharjo2023-01-28 02:22:58 +0100
commitb00acc5f920abe0b9e92d587343d12099185ddcf (patch)
tree6fe4c2449f7b970cbf33f790ed544d85e80273b7 /games
parenta69c23ad483bd692d8c8bc39ec769a017ade6065 (diff)
downloadslackbuilds-b00acc5f920abe0b9e92d587343d12099185ddcf.tar.gz
games/jg-bsnes: Added (Super Nintendo emul core for Jolly Good Emu)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/jg-bsnes/README11
-rw-r--r--games/jg-bsnes/jg-bsnes.SlackBuild78
-rw-r--r--games/jg-bsnes/jg-bsnes.info10
-rw-r--r--games/jg-bsnes/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/games/jg-bsnes/README b/games/jg-bsnes/README
new file mode 100644
index 0000000000..55532e75d4
--- /dev/null
+++ b/games/jg-bsnes/README
@@ -0,0 +1,11 @@
+jg-bsnes (Super Nintendo emulation core for Jolly Good Emulation)
+
+jg-bsnes is a cycle accurate emulator for the Super Famicom/Super
+Nintendo Entertainment System, including support for the Super Game
+Boy, BS-X Satellaview, and Sufami Turbo. This is a fork of bsnes v115.
+
+Filenames supported: .sfc .smc .bs .st .fig .swc
+To run files with other extensions: jollygood -c bsnes <filename>
+
+By default, no controls are mapped. The first time you run a game,
+press Shift-1 to configure the first controller.
diff --git a/games/jg-bsnes/jg-bsnes.SlackBuild b/games/jg-bsnes/jg-bsnes.SlackBuild
new file mode 100644
index 0000000000..ba8a85e659
--- /dev/null
+++ b/games/jg-bsnes/jg-bsnes.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/bash
+
+# Slackware build script for bsnes-jg
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=jg-bsnes
+SRCNAM=bsnes
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+DOCDIR=/usr/doc/$PRGNAM-$VERSION
+PKGDOC=$PKG/$DOCDIR
+
+make install-strip \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ DESTDIR=$PKG \
+ PREFIX=/usr \
+ LIBDIR=/usr/lib$LIBDIRSUFFIX \
+ DOCDIR=$DOCDIR
+
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/jg-bsnes/jg-bsnes.info b/games/jg-bsnes/jg-bsnes.info
new file mode 100644
index 0000000000..bf7ab564a8
--- /dev/null
+++ b/games/jg-bsnes/jg-bsnes.info
@@ -0,0 +1,10 @@
+PRGNAM="jg-bsnes"
+VERSION="1.1.0"
+HOMEPAGE="https://jgemu.gitlab.io/"
+DOWNLOAD="https://gitlab.com/jgemu/bsnes/-/archive/1.1.0/bsnes-1.1.0.tar.gz"
+MD5SUM="55f6d06e8598357521f48196b2043650"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jollygood"
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/games/jg-bsnes/slack-desc b/games/jg-bsnes/slack-desc
new file mode 100644
index 0000000000..2cf9b38ed9
--- /dev/null
+++ b/games/jg-bsnes/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jg-bsnes: jg-bsnes (Super Nintendo emulation core for Jolly Good Emulation)
+jg-bsnes:
+jg-bsnes: jg-bsnes is a cycle accurate emulator for the Super Famicom/Super
+jg-bsnes: Nintendo Entertainment System, including support for the Super Game
+jg-bsnes: Boy, BS-X Satellaview, and Sufami Turbo. This is a fork of bsnes v115.
+jg-bsnes:
+jg-bsnes:
+jg-bsnes:
+jg-bsnes:
+jg-bsnes:
+jg-bsnes: